# Interface AlignmentSummary

#### Hierarchy

- AlignmentSummary

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:143

#####
Index

### Properties

aln_coverage?
n_aln_residue_pairs?
n_modeled_residues?
scores?
seq_aln_len?

## Properties

### `Optional` aln_coverage

aln_coverage?: number[]

Fraction of residues matched by the superposition (related by spacial proximity) relative to the total number of modeled residues being aligned

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:169

### `Optional` n_aln_residue_pairs

n_aln_residue_pairs?: number

Number of residue (alpha carbon) pairs matched by the superposition

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:157

### `Optional` n_modeled_residues

n_modeled_residues?: number[]

Number of residues with coordinates used for structure alignment

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:161

### `Optional` scores

scores?: {
type?: "RMSD" | "TM-score" | "similarity-score" | "sequence-similarity" | "sequence-identity";
value?: number;
}[]

#### Type declaration

- ##### `Optional` type?: "RMSD" | "TM-score" | "similarity-score" | "sequence-similarity" | "sequence-identity"

  Similarity score type: RMSD: a simple root mean square deviation between the superposed residues; TM-score: template modeling score - topological similarity of structures; similarity-score: similarity score specific to the method; sequence-identity: the percent of residues in the alignment that are sequence-identical; sequence-similarity: the percent of residues in the alignment that are sequence-similar

- ##### `Optional` value?: number

  Similarity score value

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:144

### `Optional` seq_aln_len

seq_aln_len?: number

Sequence alignment length (including gaps)

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:165

Generated using TypeDoc